What do I need to view this site?

Minimum computer requirements

Browser Versions: Internet Explorer 5.01 for Windows and above

Netscape Navigator 7.0 for Windows and above

Users on a Mac must download either Firefox or Chrome, and allow pop-up in order to view the files.  Safari does not currently support the extranet.

Browser Settings: The following browser settings must be turned on

  • Enable Cookies
  • Enable client side JavaScript
  • Enable launching of files in IFRAMES
  • Add the Extranet as a trusted site - you may need to ask your I.T. Department to do this.
    To add the Extranet as a trusted site to Internet Explorer, click on the "Tools" menu option and click on "Internet Options". In the dialog window which opens, select the "Security" tab. Select "Trusted sites" from the list of options and click on the "Sites..." button. Add https://clients.russellmcveagh.com/ to the list of Web sites.
  • Enable Automatic Prompting for File downloads - you may need to ask your I.T. Department to do this.
    In Internet Explorer, click on the "Tools" menu option and click on "Internet Options". In the dialog window which opens, select the "Security" tab. Select "Trusted sites" from the list of options and click on the "Custom level ..." button. Browse down to the "Automatic Prompting for File Downloads" radio button and select Enable. Also select Enable for the "File Download" option.
  • Enable Pop-ups (IE 7 and later) - you may need to ask your I.T. Department to do this.
    If you experience problems with downloading files or viewing pages within the Extranet and you are using IE 7 or greater, ensure you have allowed popups for the Extranet web site. To do this, Open Internet Explorer, click on the "Tools" menu option, Select "Pop-up Blocker" and click "Pop-up Blocker Settings". Add the Extranet web site ( https://clients.russellmcveagh.com) to the list of Allowed sites.

Third Party Software:

As all reports are generated in the Portable Document Format (PDF), your computer must have Adobe Reader version 5.0 or later installed on it

Note: All applications have been tested for compatibility with v5 and later versions of MS Explorer for Windows and v7 and later versions of Netscape Navigator for Windows.We do not guarantee compatibility with any other browsers, versions or platforms.